# Generated by go2rpm 1
%bcond_without check

# https://github.com/liamg/scout
%global goipath         github.com/liamg/scout
Version:                0.15.1

%gometa

%global common_description %{expand:
A lightweight URL fuzzer and spider: Discover a web server's undisclosed files,
directories and VHOSTs.}

%global golicenses      LICENSE
%global godocs          README.md assets/wordlist.txt assets/vhost.txt

Name:           %{goname}
Release:        2%{?dist}
Summary:        Lightweight URL fuzzer and spider

License:        Unlicense
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/avast/retry-go)
BuildRequires:  golang(github.com/liamg/tml)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/spf13/cobra)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%package -n     scout
Summary:        %{summary}

%description -n scout
%{summary}.

%gopkg

%prep
%goprep

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files -n scout
%license LICENSE
%doc README.md assets/wordlist.txt assets/vhost.txt
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Aug 25 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.15.1-1
- Update to latest upstream release 0.15.1 (rhbz#1963606)

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Oct 07 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.0-2
- Update naming (#1882899)

* Wed Sep 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.0-1
- Add LICENSE file
- Update to latest upstream release 0.12.0

* Mon Sep 21 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.11.0-1
- Initial package
